package com.fjhx.form.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.account.dto.AccountRunningWaterDto;
import com.fjhx.form.entity.*;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

public interface FinanceReportService {
    List<SubjectBalanceBo> subjectBalance(SubjectBalanceSelectDto dto);

    /**
     * 汇款明细
     */
    Page<RemitDetailVo> getRemitDetailPage(RemitDetailSelectDto dto);

    void remitDetailExcelExport(RemitDetailSelectDto dto, HttpServletResponse httpServletResponse);

    /**
     * 汇款明细数据修改
     */
    void editRemitDetail(AccountRunningWaterDto dto);

    /**
     * 应付账款汇总报表
     */
    Page<AccountsPayableVo> getAccountsPayablePage(AccountsPayableSelectDto dto);

    /**
     * 应付账款Excel导出
     */
    void accountsPayableExportExcel(HttpServletResponse response, AccountsPayableSelectDto dto);
}
