package com.fjhx.common.entity.logistics.po;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 物流发生额
 * </p>
 *
 * @author
 * @since 2024-05-06
 */
@Getter
@Setter
@TableName("logistics_amount")
public class LogisticsAmount extends BasePo {

    /**
     * 物流公司id
     */
    private Long logisticsCompanyId;

    /**
     * 年份
     */
    private Integer year;

    /**
     * 1月
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal month1Amount;

    /**
     * 2月
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal month2Amount;

    /**
     * 3月
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal month3Amount;

    /**
     * 4月
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal month4Amount;

    /**
     * 5月
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal month5Amount;

    /**
     * 6月
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal month6Amount;

    /**
     * 7月
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal month7Amount;

    /**
     * 8月
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal month8Amount;

    /**
     * 9月
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal month9Amount;

    /**
     * 10月
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal month10Amount;

    /**
     * 11月
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal month11Amount;

    /**
     * 12月
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal month12Amount;

}
