package com.fjhx.item.entity.product.bo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.metadata.data.WriteCellData;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
@ExcelIgnoreUnannotated
@ContentRowHeight(50)
public class MaterialExcelExportBo {
    private String productImgPath;
    @ColumnWidth(10)
    @ExcelProperty("物料图片")
    private WriteCellData<Void> productImg;
    @ColumnWidth(15)
    @ExcelProperty("物料分类")
    private String productClassifyNames;
    @ColumnWidth(15)
    @ExcelProperty("物料名称")
    private String name;
    @ColumnWidth(15)
    @ExcelProperty("物料编号")
    private String customCode;
    @ColumnWidth(15)
    @ExcelProperty("关联原材料")
    private String attrRawMaterialName;
    @ColumnWidth(15)
    @ExcelProperty("材质")
    private String material;
    @ColumnWidth(15)
    @ExcelProperty("规格型号")
    private String spec;
    @ColumnWidth(15)
    @ExcelProperty("正面纹路")
    private String frontalTexture;
    @ColumnWidth(15)
    @ExcelProperty("反面纹路")
    private String reverseTexture;
    @ColumnWidth(15)
    @ExcelProperty("单位")
    private String unit;
    @ColumnWidth(15)
    @ExcelProperty("色层")
    private String colorLayer;
    @ColumnWidth(15)
    @ExcelProperty("颜色")
    private String color;
    @ColumnWidth(15)
    @ExcelProperty("安全库存")
    private String stockThreshold;
    @ColumnWidth(15)
    @ExcelProperty("成本价")
    private String costPrice;
    @ColumnWidth(15)
    @ExcelProperty("销售价")
    private BigDecimal price;
    @ColumnWidth(15)
    @ExcelProperty("产品尺寸")
    private String productSize;
    @ColumnWidth(15)
    @ExcelProperty("净重")
    private BigDecimal netWeight;
}
